import { g as $t } from "./index-DPCO-fqK.js";
function Gt(j, z) {
  for (var k = 0; k < z.length; k++) {
    const F = z[k];
    if (typeof F != "string" && !Array.isArray(F)) {
      for (const L in F)
        if (L !== "default" && !(L in j)) {
          const M = Object.getOwnPropertyDescriptor(F, L);
          M && Object.defineProperty(j, L, M.get ? M : {
            enumerable: !0,
            get: () => F[L]
          });
        }
    }
  }
  return Object.freeze(Object.defineProperty(j, Symbol.toStringTag, { value: "Module" }));
}
var W = { exports: {} }, Vt = W.exports, pt;
function qt() {
  return pt || (pt = 1, function(j, z) {
    /**
    * Highcharts JS v12.5.0 (2026-01-12)
    * @module highcharts/modules/exporting
    * @requires highcharts
    *
    * Exporting module
    *
    * (c) 2010-2026 Highsoft AS
    * Author: Torstein Honsi
    *
    * A commercial license may be required depending on use.
    * See www.highcharts.com/license
    */
    (function(k, F) {
      j.exports = F(k._Highcharts, k._Highcharts.AST, k._Highcharts.Chart);
    })("u" < typeof window ? Vt : window, (k, F, L) => (() => {
      var M, K, ut = { 660: (s) => {
        s.exports = F;
      }, 944: (s) => {
        s.exports = k;
      }, 960: (s) => {
        s.exports = L;
      } }, Z = {};
      function b(s) {
        var t = Z[s];
        if (t !== void 0) return t.exports;
        var e = Z[s] = { exports: {} };
        return ut[s](e, e.exports, b), e.exports;
      }
      b.n = (s) => {
        var t = s && s.__esModule ? () => s.default : () => s;
        return b.d(t, { a: t }), t;
      }, b.d = (s, t) => {
        for (var e in t) b.o(t, e) && !b.o(s, e) && Object.defineProperty(s, e, { enumerable: !0, get: t[e] });
      }, b.o = (s, t) => Object.prototype.hasOwnProperty.call(s, t);
      var Q = {};
      b.d(Q, { default: () => Bt });
      var dt = b(944), E = b.n(dt), gt = b(660), G = b.n(gt), ft = b(960), mt = b.n(ft), _ = M || (M = {});
      _.compose = function(s) {
        return s.navigation || (s.navigation = new tt(s)), s;
      };
      class tt {
        constructor(t) {
          this.updates = [], this.chart = t;
        }
        addUpdate(t) {
          this.chart.navigation.updates.push(t);
        }
        update(t, e) {
          this.updates.forEach((o) => {
            o.call(this.chart, t, e);
          });
        }
      }
      _.Additions = tt;
      let yt = M, { isSafari: xt, win: S, win: { document: I } } = E(), { error: wt } = E(), et = S.URL || S.webkitURL || S;
      function J(s, t) {
        let e = S.navigator, o = I.createElement("a");
        if (typeof s != "string" && !(s instanceof String) && e.msSaveOrOpenBlob) return void e.msSaveOrOpenBlob(s, t);
        if (s = "" + s, e.userAgent.length > 1e3) throw Error("Input too long");
        let n = /Edge\/\d+/.test(e.userAgent);
        if ((xt && typeof s == "string" && s.indexOf("data:application/pdf") === 0 || n || s.length > 2e6) && !(s = function(i) {
          let r = i.replace(/filename=.*;/, "").match(/data:([^;]*)(;base64)?,([A-Z+\d\/]+)/i);
          if (r && r.length > 3 && S.atob && S.ArrayBuffer && S.Uint8Array && S.Blob && et.createObjectURL) {
            let c = S.atob(r[3]), a = new S.ArrayBuffer(c.length), l = new S.Uint8Array(a);
            for (let u = 0; u < l.length; ++u) l[u] = c.charCodeAt(u);
            return et.createObjectURL(new S.Blob([l], { type: r[1] }));
          }
        }(s) || "")) throw Error("Failed to convert to blob");
        if (o.download !== void 0) o.href = s, o.download = t, I.body.appendChild(o), o.click(), I.body.removeChild(o);
        else try {
          if (!S.open(s, "chart")) throw Error("Failed to open window");
        } catch {
          S.location.href = s;
        }
      }
      let { isTouchDevice: vt } = E(), bt = { exporting: { allowTableSorting: !0, libURL: "https://code.highcharts.com/12.5.0/lib/", local: !0, type: "image/png", url: `https://export-svg.highcharts.com?v=${E().version}`, pdfFont: { normal: void 0, bold: void 0, bolditalic: void 0, italic: void 0 }, printMaxWidth: 780, scale: 2, buttons: { contextButton: { className: "highcharts-contextbutton", menuClassName: "highcharts-contextmenu", symbol: "menu", titleKey: "contextButtonTitle", menuItems: ["viewFullscreen", "printChart", "separator", "downloadPNG", "downloadJPEG", "downloadSVG"] } }, menuItemDefinitions: { viewFullscreen: { textKey: "viewFullscreen", onclick: function() {
        this.fullscreen?.toggle();
      } }, printChart: { textKey: "printChart", onclick: function() {
        this.exporting?.print();
      } }, separator: { separator: !0 }, downloadPNG: { textKey: "downloadPNG", onclick: async function() {
        await this.exporting?.exportChart();
      } }, downloadJPEG: { textKey: "downloadJPEG", onclick: async function() {
        await this.exporting?.exportChart({ type: "image/jpeg" });
      } }, downloadPDF: { textKey: "downloadPDF", onclick: async function() {
        await this.exporting?.exportChart({ type: "application/pdf" });
      } }, downloadSVG: { textKey: "downloadSVG", onclick: async function() {
        await this.exporting?.exportChart({ type: "image/svg+xml" });
      } } } }, lang: { viewFullscreen: "View in full screen", exitFullscreen: "Exit from full screen", printChart: "Print chart", downloadPNG: "Download PNG image", downloadJPEG: "Download JPEG image", downloadPDF: "Download PDF document", downloadSVG: "Download SVG vector image", contextButtonTitle: "Chart context menu" }, navigation: { buttonOptions: { symbolSize: 14, symbolX: 14.5, symbolY: 13.5, align: "right", buttonSpacing: 5, height: 28, y: -5, verticalAlign: "top", width: 28, symbolFill: "#666666", symbolStroke: "#666666", symbolStrokeWidth: 3, theme: { fill: "#ffffff", padding: 5, stroke: "none", "stroke-linecap": "round" } }, menuStyle: { border: "none", borderRadius: "3px", background: "#ffffff", padding: "0.5em" }, menuItemStyle: { background: "none", borderRadius: "3px", color: "#333333", padding: "0.5em", fontSize: vt ? "0.9em" : "0.8em", transition: "background 250ms, color 250ms" }, menuItemHoverStyle: { background: "#f2f2f2" } } };
      (function(s) {
        let t = [];
        function e(n, i, r, c) {
          return [["M", n, i + 2.5], ["L", n + r, i + 2.5], ["M", n, i + c / 2 + 0.5], ["L", n + r, i + c / 2 + 0.5], ["M", n, i + c - 1.5], ["L", n + r, i + c - 1.5]];
        }
        function o(n, i, r, c) {
          let a = c / 3 - 2;
          return [].concat(this.circle(r - a, i, a, a), this.circle(r - a, i + a + 4, a, a), this.circle(r - a, i + 2 * (a + 4), a, a));
        }
        s.compose = function(n) {
          if (t.indexOf(n) === -1) {
            t.push(n);
            let i = n.prototype.symbols;
            i.menu = e, i.menuball = o.bind(i);
          }
        };
      })(K || (K = {}));
      let St = K, { composed: Et } = E(), { addEvent: X, fireEvent: nt, pushUnique: Ct } = E();
      function Ot() {
        this.fullscreen = new it(this);
      }
      class it {
        static compose(t) {
          Ct(Et, "Fullscreen") && X(t, "beforeRender", Ot);
        }
        constructor(t) {
          this.chart = t, this.isOpen = !1;
          const e = t.renderTo;
          !this.browserProps && (typeof e.requestFullscreen == "function" ? this.browserProps = { fullscreenChange: "fullscreenchange", requestFullscreen: "requestFullscreen", exitFullscreen: "exitFullscreen" } : e.mozRequestFullScreen ? this.browserProps = { fullscreenChange: "mozfullscreenchange", requestFullscreen: "mozRequestFullScreen", exitFullscreen: "mozCancelFullScreen" } : e.webkitRequestFullScreen ? this.browserProps = { fullscreenChange: "webkitfullscreenchange", requestFullscreen: "webkitRequestFullScreen", exitFullscreen: "webkitExitFullscreen" } : e.msRequestFullscreen && (this.browserProps = { fullscreenChange: "MSFullscreenChange", requestFullscreen: "msRequestFullscreen", exitFullscreen: "msExitFullscreen" }));
        }
        close() {
          let t = this, e = t.chart, o = e.options.chart;
          nt(e, "fullscreenClose", void 0, function() {
            t.isOpen && t.browserProps && e.container.ownerDocument instanceof Document && e.container.ownerDocument[t.browserProps.exitFullscreen](), t.unbindFullscreenEvent && (t.unbindFullscreenEvent = t.unbindFullscreenEvent()), e.setSize(t.origWidth, t.origHeight, !1), t.origWidth = void 0, t.origHeight = void 0, o.width = t.origWidthOption, o.height = t.origHeightOption, t.origWidthOption = void 0, t.origHeightOption = void 0, t.isOpen = !1, t.setButtonText();
          });
        }
        open() {
          let t = this, e = t.chart, o = e.options.chart;
          nt(e, "fullscreenOpen", void 0, function() {
            if (o && (t.origWidthOption = o.width, t.origHeightOption = o.height), t.origWidth = e.chartWidth, t.origHeight = e.chartHeight, t.browserProps) {
              let n = X(e.container.ownerDocument, t.browserProps.fullscreenChange, function() {
                t.isOpen ? (t.isOpen = !1, t.close()) : (e.setSize(null, null, !1), t.isOpen = !0, t.setButtonText());
              }), i = X(e, "destroy", n);
              t.unbindFullscreenEvent = () => {
                n(), i();
              };
              let r = e.renderTo[t.browserProps.requestFullscreen]();
              r && r.catch(function() {
                alert("Full screen is not supported inside a frame.");
              });
            }
          });
        }
        setButtonText() {
          let t = this.chart, e = t.exporting?.divElements, o = t.options.exporting, n = o && o.buttons && o.buttons.contextButton.menuItems, i = t.options.lang;
          if (o?.menuItemDefinitions && i?.exitFullscreen && i.viewFullscreen && n && e) {
            let r = e[n.indexOf("viewFullscreen")];
            r && G().setElementHTML(r, this.isOpen ? i.exitFullscreen : o.menuItemDefinitions.viewFullscreen?.textKey || i.viewFullscreen);
          }
        }
        toggle() {
          this.isOpen ? this.close() : this.open();
        }
      }
      let { win: ot } = E(), { discardElement: Tt, objectEach: rt } = E(), V = { ajax: function(s) {
        let t = { json: "application/json", xml: "application/xml", text: "text/plain", octet: "application/octet-stream" }, e = new XMLHttpRequest();
        function o(n, i) {
          s.error && s.error(n, i);
        }
        if (!s.url) return !1;
        e.open((s.type || "get").toUpperCase(), s.url, !0), s.headers?.["Content-Type"] || e.setRequestHeader("Content-Type", t[s.dataType || "json"] || t.text), rt(s.headers, function(n, i) {
          e.setRequestHeader(i, n);
        }), s.responseType && (e.responseType = s.responseType), e.onreadystatechange = function() {
          let n;
          if (e.readyState === 4) {
            if (e.status === 200) {
              if (s.responseType !== "blob" && (n = e.responseText, s.dataType === "json")) try {
                n = JSON.parse(n);
              } catch (i) {
                if (i instanceof Error) return o(e, i);
              }
              return s.success?.(n, e);
            }
            o(e, e.responseText);
          }
        }, s.data && typeof s.data != "string" && (s.data = JSON.stringify(s.data)), e.send(s.data);
      }, getJSON: function(s, t) {
        V.ajax({ url: s, success: t, dataType: "json", headers: { "Content-Type": "text/plain" } });
      } };
      V.post = async function(s, t, e) {
        let o = new ot.FormData();
        rt(t, function(i, r) {
          o.append(r, i);
        }), o.append("b64", "true");
        let n = await ot.fetch(s, { method: "POST", body: o, ...e });
        if (n.ok) {
          let i = await n.text(), r = document.createElement("a");
          r.href = `data:${t.type};base64,${i}`, r.download = t.filename, r.click(), Tt(r);
        }
      };
      let { defaultOptions: kt, setOptions: Ft } = E(), { composed: Rt, doc: D, isFirefox: Pt, isMS: B, isSafari: q, SVG_NS: Nt, win: w } = E(), { addEvent: R, clearTimeout: Y, createElement: H, css: C, discardElement: st, error: Lt, extend: A, find: Mt, fireEvent: U, isObject: Dt, merge: O, objectEach: At, pick: $, pushUnique: Ht, removeEvent: Ut, splat: jt, uniqueKey: It } = E();
      G().allowedAttributes.push("data-z-index", "fill-opacity", "filter", "preserveAspectRatio", "rx", "ry", "stroke-dasharray", "stroke-linejoin", "stroke-opacity", "text-anchor", "transform", "transform-origin", "version", "viewBox", "visibility", "xmlns", "xmlns:xlink"), G().allowedTags.push("desc", "clippath", "fedropshadow", "femorphology", "g", "image");
      let at = w.URL || w.webkitURL || w;
      class d {
        constructor(t, e) {
          this.options = {}, this.chart = t, this.options = e, this.btnCount = 0, this.buttonOffset = 0, this.divElements = [], this.svgElements = [];
        }
        static hyphenate(t) {
          return t.replace(/[A-Z]/g, function(e) {
            return "-" + e.toLowerCase();
          });
        }
        static async imageToDataURL(t, e, o) {
          let n = await d.loadImage(t), i = D.createElement("canvas"), r = i?.getContext("2d");
          if (r) return i.height = n.height * e, i.width = n.width * e, r.drawImage(n, 0, 0, i.width, i.height), i.toDataURL(o);
          throw Error("No canvas found!");
        }
        static async fetchCSS(t) {
          let e = await fetch(t).then((n) => n.text()), o = new CSSStyleSheet();
          return o.replaceSync(e), o;
        }
        static async handleStyleSheet(t, e) {
          try {
            for (let o of Array.from(t.cssRules)) {
              if (o instanceof CSSImportRule) {
                let n = await d.fetchCSS(o.href);
                await d.handleStyleSheet(n, e);
              }
              if (o instanceof CSSFontFaceRule) {
                let n = o.cssText;
                if (t.href) {
                  let i = t.href, r = /url\(\s*(['"]?)(?![a-z]+:|\/\/)([^'")]+?)\1\s*\)/gi;
                  n = n.replace(r, (c, a, l) => {
                    let u = new URL(l, i).href;
                    return `url(${a}${u}${a})`;
                  });
                }
                e.push(n);
              }
            }
          } catch {
            if (t.href) {
              let o = await d.fetchCSS(t.href);
              await d.handleStyleSheet(o, e);
            }
          }
        }
        static async fetchStyleSheets() {
          let t = [];
          for (let e of Array.from(D.styleSheets)) await d.handleStyleSheet(e, t);
          return t;
        }
        static async inlineFonts(t) {
          let e = await d.fetchStyleSheets(), o = /url\(([^)]+)\)/g, n = [], i = e.join(`
`), r;
          for (; r = o.exec(i); ) {
            let u = r[1].replace(/['"]/g, "");
            n.includes(u) || n.push(u);
          }
          let c = (u) => {
            let f = "", h = new Uint8Array(u);
            for (let p = 0; p < h.byteLength; p++) f += String.fromCharCode(h[p]);
            return btoa(f);
          }, a = {};
          for (let u of n) try {
            let f = await fetch(u), h = f.headers.get("Content-Type") || "", p = c(await f.arrayBuffer());
            a[u] = `data:${h};base64,${p}`;
          } catch {
          }
          i = i.replace(o, (u, f) => {
            let h = f.replace(/['"]/g, "");
            return `url(${a[h] || h})`;
          });
          let l = document.createElementNS("http://www.w3.org/2000/svg", "style");
          return l.textContent = i, t.append(l), t;
        }
        static loadImage(t) {
          return new Promise((e, o) => {
            let n = new w.Image();
            n.crossOrigin = "Anonymous", n.onload = () => {
              setTimeout(() => {
                e(n);
              }, d.loadEventDeferDelay);
            }, n.onerror = (i) => {
              o(i);
            }, n.src = t;
          });
        }
        static prepareImageOptions(t) {
          let e = t?.type || "image/png", o = t?.libURL || kt.exporting?.libURL;
          return { type: e, filename: (t?.filename || "chart") + "." + (e === "image/svg+xml" ? "svg" : e.split("/")[1]), scale: t?.scale || 1, libURL: o?.slice(-1) !== "/" ? o + "/" : o };
        }
        static sanitizeSVG(t, e) {
          let o = t.indexOf("</svg>") + 6, n = t.indexOf("<foreignObject") > -1, i = t.substr(o);
          return t = t.substr(0, o), n ? t = t.replace(/(<(?:img|br).*?(?=\>))>/g, "$1 />") : i && e?.exporting?.allowHTML && (i = '<foreignObject x="0" y="0" width="' + e.chart.width + '" height="' + e.chart.height + '"><body xmlns="http://www.w3.org/1999/xhtml">' + i.replace(/(<(?:img|br).*?(?=\>))>/g, "$1 />") + "</body></foreignObject>", t = t.replace("</svg>", i + "</svg>")), t = t.replace(/zIndex="[^"]+"/g, "").replace(/symbolName="[^"]+"/g, "").replace(/jQuery\d+="[^"]+"/g, "").replace(/url\(("|&quot;)(.*?)("|&quot;)\;?\)/g, "url($2)").replace(/url\([^#]+#/g, "url(#").replace(/<svg /, '<svg xmlns:xlink="http://www.w3.org/1999/xlink" ').replace(/ (NS\d+\:)?href=/g, " xlink:href=").replace(/\n+/g, " ").replace(/&nbsp;/g, " ").replace(/&shy;/g, "­");
        }
        static svgToDataURL(t) {
          let e = w.navigator.userAgent, o = e.indexOf("WebKit") > -1 && 0 > e.indexOf("Chrome");
          try {
            if (!o && t.indexOf("<foreignObject") === -1) return at.createObjectURL(new w.Blob([t], { type: "image/svg+xml;charset-utf-16" }));
          } catch {
          }
          return "data:image/svg+xml;charset=UTF-8," + encodeURIComponent(t);
        }
        addButton(t) {
          let e, o = this, n = o.chart, i = n.renderer, r = O(n.options.navigation?.buttonOptions, t), c = r.onclick, a = r.menuItems, l = r.symbolSize || 12;
          if (r.enabled === !1 || !r.theme) return;
          let u = n.styledMode ? {} : r.theme, f = () => {
          };
          c ? f = function(p) {
            p && p.stopPropagation(), c.call(n, p);
          } : a && (f = function(p) {
            p && p.stopPropagation(), o.contextMenu(h.menuClassName, a, h.translateX || 0, h.translateY || 0, h.width || 0, h.height || 0, h), h.setState(2);
          }), r.text && r.symbol ? u.paddingLeft = $(u.paddingLeft, 30) : r.text || A(u, { width: r.width, height: r.height, padding: 0 });
          let h = i.button(r.text || "", 0, 0, f, u, void 0, void 0, void 0, void 0, r.useHTML).addClass(t.className || "").attr({ title: $(n.options.lang[r._titleKey || r.titleKey], "") });
          h.menuClassName = t.menuClassName || "highcharts-menu-" + o.btnCount++, r.symbol && (e = i.symbol(r.symbol, Math.round((r.symbolX || 0) - l / 2), Math.round((r.symbolY || 0) - l / 2), l, l, { width: l, height: l }).addClass("highcharts-button-symbol").attr({ zIndex: 1 }).add(h), n.styledMode || e.attr({ stroke: r.symbolStroke, fill: r.symbolFill, "stroke-width": r.symbolStrokeWidth || 1 })), h.add(o.group).align(A(r, { width: h.width, x: $(r.x, o.buttonOffset) }), !0, "spacingBox"), o.buttonOffset += ((h.width || 0) + (r.buttonSpacing || 0)) * (r.align === "right" ? -1 : 1), o.svgElements.push(h, e);
        }
        afterPrint() {
          let t = this.chart;
          if (!this.printReverseInfo) return;
          let { childNodes: e, origDisplay: o, resetParams: n } = this.printReverseInfo;
          this.moveContainers(t.renderTo), [].forEach.call(e, function(i, r) {
            i.nodeType === 1 && (i.style.display = o[r] || "");
          }), this.isPrinting = !1, n && t.setSize.apply(t, n), delete this.printReverseInfo, d.printingChart = void 0, U(t, "afterPrint");
        }
        beforePrint() {
          let t = this.chart, e = D.body, o = this.options.printMaxWidth, n = { childNodes: e.childNodes, origDisplay: [], resetParams: void 0 };
          this.isPrinting = !0, t.pointer?.reset(void 0, 0), U(t, "beforePrint"), o && t.chartWidth > o && (n.resetParams = [t.options.chart.width, void 0, !1], t.setSize(o, void 0, !1)), [].forEach.call(n.childNodes, function(i, r) {
            i.nodeType === 1 && (n.origDisplay[r] = i.style.display, i.style.display = "none");
          }), this.moveContainers(e), this.printReverseInfo = n;
        }
        contextMenu(t, e, o, n, i, r, c) {
          let a = this, l = a.chart, u = l.options.navigation, f = l.chartWidth, h = l.chartHeight, p = "cache-" + t, x = Math.max(i, r), v, m = l[p];
          m || (a.contextMenuEl = l[p] = m = H("div", { className: t }, { position: "absolute", zIndex: 1e3, padding: x + "px", pointerEvents: "auto", ...l.renderer.style }, l.scrollablePlotArea?.fixedDiv || l.container), v = H("ul", { className: "highcharts-menu" }, l.styledMode ? {} : { listStyle: "none", margin: 0, padding: 0 }, m), l.styledMode || C(v, A({ MozBoxShadow: "3px 3px 10px #0008", WebkitBoxShadow: "3px 3px 10px #0008", boxShadow: "3px 3px 10px #0008" }, u?.menuStyle || {})), m.hideMenu = function() {
            C(m, { display: "none" }), c && c.setState(0), l.exporting && (l.exporting.openMenu = !1), C(l.renderTo, { overflow: "hidden" }), C(l.container, { overflow: "hidden" }), Y(m.hideTimer), U(l, "exportMenuHidden");
          }, a.events?.push(R(m, "mouseleave", function() {
            m.hideTimer = w.setTimeout(m.hideMenu, 500);
          }), R(m, "mouseenter", function() {
            Y(m.hideTimer);
          }), R(D, "mouseup", function(g) {
            l.pointer?.inClass(g.target, t) || m.hideMenu();
          }), R(m, "click", function() {
            l.exporting?.openMenu && m.hideMenu();
          })), e.forEach(function(g) {
            if (typeof g == "string" && a.options.menuItemDefinitions?.[g] && (g = a.options.menuItemDefinitions[g]), Dt(g, !0)) {
              let P;
              g.separator ? P = H("hr", void 0, void 0, v) : (g.textKey === "viewData" && a.isDataTableVisible && (g.textKey = "hideData"), P = H("li", { className: "highcharts-menu-item", onclick: function(N) {
                N && N.stopPropagation(), m.hideMenu(), typeof g != "string" && g.onclick && g.onclick.apply(l, arguments);
              } }, void 0, v), G().setElementHTML(P, g.text || l.options.lang[g.textKey]), l.styledMode || (P.onmouseover = function() {
                C(this, u?.menuItemHoverStyle || {});
              }, P.onmouseout = function() {
                C(this, u?.menuItemStyle || {});
              }, C(P, A({ cursor: "pointer" }, u?.menuItemStyle || {})))), a.divElements.push(P);
            }
          }), a.divElements.push(v, m), a.menuHeight = m.offsetHeight, a.menuWidth = m.offsetWidth);
          let y = { display: "block" };
          o + (a.menuWidth || 0) > f ? y.right = f - o - i - x + "px" : y.left = o - x + "px", n + r + (a.menuHeight || 0) > h && c.alignOptions?.verticalAlign !== "top" ? y.bottom = h - n - x + "px" : y.top = n + r - x + "px", C(m, y), C(l.renderTo, { overflow: "" }), C(l.container, { overflow: "" }), l.exporting && (l.exporting.openMenu = !0), U(l, "exportMenuShown");
        }
        destroy(t) {
          let e, o = t ? t.target : this.chart, { divElements: n, events: i, svgElements: r } = this;
          r.forEach((c, a) => {
            c && (c.onclick = c.ontouchstart = null, o[e = "cache-" + c.menuClassName] && delete o[e], r[a] = c.destroy());
          }), r.length = 0, this.group && (this.group.destroy(), delete this.group), n.forEach(function(c, a) {
            c && (Y(c.hideTimer), Ut(c, "mouseleave"), n[a] = c.onmouseout = c.onmouseover = c.ontouchstart = c.onclick = null, st(c));
          }), n.length = 0, i && (i.forEach(function(c) {
            c();
          }), i.length = 0);
        }
        async downloadSVG(t, e) {
          let o, n = { svg: t, exportingOptions: e, exporting: this };
          if (U(d.prototype, "downloadSVG", n), n.defaultPrevented) return;
          let { type: i, filename: r, scale: c, libURL: a } = d.prepareImageOptions(e);
          if (i === "application/pdf") throw Error("Offline exporting logic for PDF type is not found.");
          if (i === "image/svg+xml") {
            if (w.MSBlobBuilder !== void 0) {
              let u = new w.MSBlobBuilder();
              u.append(t), o = u.getBlob("image/svg+xml");
            } else o = d.svgToDataURL(t);
            J(o, r);
          } else {
            o = d.svgToDataURL(t);
            try {
              d.objectURLRevoke = !0;
              let u = await d.imageToDataURL(o, c, i);
              J(u, r);
            } catch (u) {
              if (u.message === "No canvas found!") throw u;
              if (t.length > 1e8) throw Error("Input too long");
              let f = D.createElement("canvas"), h = f.getContext("2d"), p = t.match(/^<svg[^>]*\s{,1000}width\s{,1000}=\s{,1000}\"?(\d+)\"?[^>]*>/), x = t.match(/^<svg[^>]*\s{0,1000}height\s{,1000}=\s{,1000}\"?(\d+)\"?[^>]*>/);
              if (h && p && x) {
                let v = p[1] * c, m = x[1] * c;
                if (f.width = v, f.height = m, !w.canvg) {
                  var l;
                  d.objectURLRevoke = !0, await (l = a + "canvg.js", new Promise((y, g) => {
                    let P = I.getElementsByTagName("head")[0], N = I.createElement("script");
                    N.type = "text/javascript", N.src = l, N.onload = () => {
                      y();
                    }, N.onerror = () => {
                      let ct = `Error loading script ${l}`;
                      wt(ct), g(Error(ct));
                    }, P.appendChild(N);
                  }));
                }
                w.canvg.Canvg.fromString(h, t).start(), J(w.navigator.msSaveOrOpenBlob ? f.msToBlob() : f.toDataURL(i), r);
              }
            } finally {
              if (d.objectURLRevoke) try {
                at.revokeObjectURL(o);
              } catch {
              }
            }
          }
        }
        async exportChart(t, e) {
          if ((t = O(this.options, t)).local) await this.localExport(t, e || {});
          else {
            let o = this.getSVGForExport(t, e);
            t.url && await V.post(t.url, { filename: t.filename ? t.filename.replace(/\//g, "-") : this.getFilename(), type: t.type, width: t.width, scale: t.scale, svg: o }, t.fetchOptions);
          }
        }
        async fallbackToServer(t, e) {
          t.fallbackToExportServer === !1 ? t.error ? t.error(t, e) : Lt(28, !0) : t.type === "application/pdf" && (t.local = !1, await this.exportChart(t));
        }
        getChartHTML(t) {
          let e = this.chart;
          return t && this.inlineStyles(), this.resolveCSSVariables(), e.container.innerHTML;
        }
        getFilename() {
          let t = this.chart.userOptions.title?.text, e = this.options.filename;
          return e ? e.replace(/\//g, "-") : (typeof t == "string" && (e = t.toLowerCase().replace(/<\/?[^>]+(>|$)/g, "").replace(/[\s_]+/g, "-").replace(/[^a-z\d\-]/g, "").replace(/^[\-]+/g, "").replace(/[\-]+/g, "-").substr(0, 24).replace(/[\-]+$/g, "")), (!e || e.length < 5) && (e = "chart"), e);
        }
        getSVG(t) {
          let e = this.chart, o, n, i = O(e.options, t);
          i.plotOptions = O(e.userOptions.plotOptions, t?.plotOptions), i.time = O(e.userOptions.time, t?.time);
          let r = H("div", void 0, { position: "absolute", top: "-9999em", width: e.chartWidth + "px", height: e.chartHeight + "px" }, D.body), c = e.renderTo.style.width, a = e.renderTo.style.height, l = i.exporting?.sourceWidth || i.chart.width || /px$/.test(c) && parseInt(c, 10) || (i.isGantt ? 800 : 600), u = i.exporting?.sourceHeight || i.chart.height || /px$/.test(a) && parseInt(a, 10) || 400;
          A(i.chart, { animation: !1, renderTo: r, forExport: !0, renderer: "SVGRenderer", width: l, height: u }), i.exporting && (i.exporting.enabled = !1), delete i.data, i.series = [], e.series.forEach(function(p) {
            (n = O(p.userOptions, { animation: !1, enableMouseTracking: !1, showCheckbox: !1, visible: p.visible })).isInternal || i?.series?.push(n);
          });
          let f = {};
          e.axes.forEach(function(p) {
            p.userOptions.internalKey || (p.userOptions.internalKey = It()), i && !p.options.isInternal && (f[p.coll] || (f[p.coll] = !0, i[p.coll] = []), i[p.coll].push(O(p.userOptions, { visible: p.visible, type: p.type, uniqueNames: p.uniqueNames })));
          }), i.colorAxis = e.userOptions.colorAxis;
          let h = new e.constructor(i, e.callback);
          return t && ["xAxis", "yAxis", "series"].forEach(function(p) {
            t[p] && h.update({ [p]: t[p] });
          }), e.axes.forEach(function(p) {
            let x = Mt(h.axes, (v) => v.options.internalKey === p.userOptions.internalKey);
            if (x) {
              let v = p.getExtremes(), m = jt(t?.[p.coll] || {})[0], y = "min" in m ? m.min : v.userMin, g = "max" in m ? m.max : v.userMax;
              (y !== void 0 && y !== x.min || g !== void 0 && g !== x.max) && x.setExtremes(y ?? void 0, g ?? void 0, !0, !1);
            }
          }), o = h.exporting?.getChartHTML(e.styledMode || i.exporting?.applyStyleSheets) || "", U(e, "getSVG", { chartCopy: h }), o = d.sanitizeSVG(o, i), i = void 0, h.destroy(), st(r), o;
        }
        getSVGForExport(t, e) {
          let o = this.options;
          return this.getSVG(O({ chart: { borderRadius: 0 } }, o.chartOptions, e, { exporting: { sourceWidth: t?.sourceWidth || o.sourceWidth, sourceHeight: t?.sourceHeight || o.sourceHeight } }));
        }
        inlineStyles() {
          let t, e = d.inlineDenylist, o = d.inlineAllowlist, n = {}, i = H("iframe", void 0, { width: "1px", height: "1px", visibility: "hidden" }, D.body), r = i.contentWindow?.document;
          r && r.body.appendChild(r.createElementNS(Nt, "svg")), function c(a) {
            let l, u, f, h, p, x, v = {};
            if (r && a.nodeType === 1 && d.unstyledElements.indexOf(a.nodeName) === -1) {
              if (l = w.getComputedStyle(a, null), u = a.nodeName === "svg" ? {} : w.getComputedStyle(a.parentNode, null), !n[a.nodeName]) {
                t = r.getElementsByTagName("svg")[0], f = r.createElementNS(a.namespaceURI, a.nodeName), t.appendChild(f);
                let m = w.getComputedStyle(f, null), y = {};
                for (let g in m) g.length < 1e3 && typeof m[g] == "string" && !/^\d+$/.test(g) && (y[g] = m[g]);
                n[a.nodeName] = y, a.nodeName === "text" && delete n.text.fill, t.removeChild(f);
              }
              for (let m in l) (Pt || B || q || Object.hasOwnProperty.call(l, m)) && function(y, g) {
                if (h = p = !1, o.length) {
                  for (x = o.length; x-- && !p; ) p = o[x].test(g);
                  h = !p;
                }
                for (g === "transform" && y === "none" && (h = !0), x = e.length; x-- && !h; ) {
                  if (g.length > 1e3) throw Error("Input too long");
                  h = e[x].test(g) || typeof y == "function";
                }
                !h && (u[g] !== y || a.nodeName === "svg") && n[a.nodeName][g] !== y && (d.inlineToAttributes && d.inlineToAttributes.indexOf(g) === -1 ? v[g] = y : y && a.setAttribute(d.hyphenate(g), y));
              }(l[m], m);
              if (C(a, v), a.nodeName === "svg" && a.setAttribute("stroke-width", "1px"), a.nodeName === "text") return;
              [].forEach.call(a.children || a.childNodes, c);
            }
          }(this.chart.container.querySelector("svg")), t.parentNode.removeChild(t), i.parentNode.removeChild(i);
        }
        async localExport(t, e) {
          let o = this.chart, n, i, r = null, c;
          if (B && o.styledMode && !d.inlineAllowlist.length && d.inlineAllowlist.push(/^blockSize/, /^border/, /^caretColor/, /^color/, /^columnRule/, /^columnRuleColor/, /^cssFloat/, /^cursor/, /^fill$/, /^fillOpacity/, /^font/, /^inlineSize/, /^length/, /^lineHeight/, /^opacity/, /^outline/, /^parentRule/, /^rx$/, /^ry$/, /^stroke/, /^textAlign/, /^textAnchor/, /^textDecoration/, /^transform/, /^vectorEffect/, /^visibility/, /^x$/, /^y$/), B && (t.type === "application/pdf" || o.container.getElementsByTagName("image").length && t.type !== "image/svg+xml") || t.type === "application/pdf" && [].some.call(o.container.getElementsByTagName("image"), function(l) {
            let u = l.getAttribute("href");
            return u !== "" && typeof u == "string" && u.indexOf("data:") !== 0;
          })) return void await this.fallbackToServer(t, Error("Image type not supported for this chart/browser."));
          let a = R(o, "getSVG", (l) => {
            i = l.chartCopy.options, c = (n = l.chartCopy.container.cloneNode(!0)) && n.getElementsByTagName("image") || [];
          });
          try {
            let l;
            for (let h of (this.getSVGForExport(t, e), c ? Array.from(c) : [])) if (r = h.getAttributeNS("http://www.w3.org/1999/xlink", "href")) {
              d.objectURLRevoke = !1;
              let p = await d.imageToDataURL(r, t?.scale || 1, t?.type || "image/png");
              h.setAttributeNS("http://www.w3.org/1999/xlink", "href", p);
            } else h.parentNode.removeChild(h);
            let u = n?.querySelector("svg");
            u && !t.chartOptions?.chart?.style?.fontFamily && await d.inlineFonts(u);
            let f = (l = n?.innerHTML, d.sanitizeSVG(l || "", i));
            if (f.indexOf("<foreignObject") > -1 && t.type !== "image/svg+xml" && (B || t.type === "application/pdf")) throw Error("Image type not supported for charts with embedded HTML");
            return await this.downloadSVG(f, A({ filename: this.getFilename() }, t)), f;
          } catch (l) {
            await this.fallbackToServer(t, l);
          } finally {
            a();
          }
        }
        moveContainers(t) {
          let e = this.chart, { scrollablePlotArea: o } = e;
          (o ? [o.fixedDiv, o.scrollingContainer] : [e.container]).forEach(function(n) {
            t.appendChild(n);
          });
        }
        print() {
          let t = this.chart;
          this.isPrinting || (d.printingChart = t, q || this.beforePrint(), setTimeout(() => {
            w.focus(), w.print(), q || setTimeout(() => {
              t.exporting?.afterPrint();
            }, 1e3);
          }, 1));
        }
        render() {
          let t = this, { chart: e, options: o } = t, n = t?.isDirty || !t?.svgElements.length;
          t.buttonOffset = 0, t.isDirty && t.destroy(), n && o.enabled !== !1 && (t.events = [], t.group || (t.group = e.renderer.g("exporting-group").attr({ zIndex: 3 }).add()), At(o?.buttons, function(i) {
            t.addButton(i);
          }), t.isDirty = !1);
        }
        resolveCSSVariables() {
          Array.from(this.chart.container.querySelectorAll("*")).forEach((t) => {
            ["color", "fill", "stop-color", "stroke"].forEach((e) => {
              t.getAttribute(e)?.includes("var(") && t.setAttribute(e, getComputedStyle(t).getPropertyValue(e)), t.style?.[e]?.includes("var(") && (t.style[e] = getComputedStyle(t).getPropertyValue(e));
            });
          });
        }
        update(t, e) {
          this.isDirty = !0, O(!0, this.options, t), $(e, !0) && this.chart.redraw();
        }
      }
      d.inlineAllowlist = [], d.inlineDenylist = [/-/, /^(clipPath|cssText|d|height|width)$/, /^font$/, /[lL]ogical(Width|Height)$/, /^parentRule$/, /^(cssRules|ownerRules)$/, /perspective/, /TapHighlightColor/, /^transition/, /^length$/, /^\d+$/], d.inlineToAttributes = ["fill", "stroke", "strokeLinecap", "strokeLinejoin", "strokeWidth", "textAnchor", "x", "y"], d.loadEventDeferDelay = 150 * !!B, d.unstyledElements = ["clipPath", "defs", "desc"], function(s) {
        function t(n) {
          let i = n.exporting;
          i && (i.render(), R(n, "redraw", function() {
            this.exporting?.render();
          }), R(n, "destroy", function() {
            this.exporting?.destroy();
          }));
        }
        function e() {
          let n = this;
          n.options.exporting && (n.exporting = new s(n, n.options.exporting), yt.compose(n).navigation.addUpdate((i, r) => {
            n.exporting && (n.exporting.isDirty = !0, O(!0, n.options.navigation, i), $(r, !0) && n.redraw());
          }));
        }
        function o({ alignTo: n, key: i, textPxLength: r }) {
          let c = this.options.exporting, { align: a, buttonSpacing: l = 0, verticalAlign: u, width: f = 0 } = O(this.options.navigation?.buttonOptions, c?.buttons?.contextButton), h = n.width - r, p = f + l;
          (c?.enabled ?? !0) && i === "title" && a === "right" && u === "top" && h < 2 * p && (h < p ? n.width -= p : this.title?.alignValue !== "left" && (n.x -= p - h / 2));
        }
        s.compose = function(n, i) {
          St.compose(i), it.compose(n), Ht(Rt, "Exporting") && (A(mt().prototype, { exportChart: async function(r, c) {
            await this.exporting?.exportChart(r, c);
          }, getChartHTML: function(r) {
            return this.exporting?.getChartHTML(r);
          }, getFilename: function() {
            return this.exporting?.getFilename();
          }, getSVG: function(r) {
            return this.exporting?.getSVG(r);
          }, print: function() {
            return this.exporting?.print();
          } }), n.prototype.callbacks.push(t), R(n, "afterInit", e), R(n, "layOutTitle", o), q && w.matchMedia("print").addListener(function(r) {
            s.printingChart && (r.matches ? s.printingChart.exporting?.beforePrint() : s.printingChart.exporting?.afterPrint());
          }), Ft(bt));
        };
      }(d || (d = {}));
      let lt = d, T = E();
      T.Exporting = lt, T.HttpUtilities = T.HttpUtilities || V, T.ajax = T.HttpUtilities.ajax, T.getJSON = T.HttpUtilities.getJSON, T.post = T.HttpUtilities.post, lt.compose(T.Chart, T.Renderer);
      let Bt = E();
      return Q.default;
    })());
  }(W)), W.exports;
}
var ht = qt();
const Wt = /* @__PURE__ */ $t(ht), Kt = /* @__PURE__ */ Gt({
  __proto__: null,
  default: Wt
}, [ht]);
export {
  Kt as e
};
